%global		momorel	1
%global		qtver 3.3.7
%global		kdever 3.5.8
%global		kdelibsrel 1m
%global		qtdir %{_libdir}/qt3
%global		kdedir /usr
%global		enable_gcc_check_and_hidden_visibility 0

Name:           tastymenu
Version:        1.0.7
Release:        %{momorel}m%{?dist}
Summary:        KMenu replacement
Group:          User Interface/Desktops
License:        LGPL
URL:            http://www.notmart.org/tastymenu/index.html
Source0:        http://www.notmart.org/files/%{name}-%{version}.tar.bz2
NoSource:	0
Patch0:         %{name}-%{version}-desktop.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:       kdebase
BuildPreReq:    qt-devel >= %{qtver}
BuildPreReq:    kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq:    gettext

%description
Tasty Menu is a KMenu replacement aiming to provide the maximum usability, or
at least to be a testbed for usability concepts and ideas for a future KMenu 
replacement.

%prep
%setup -q

%patch0 -p1 -b .desktop~

# Avoid lib64 rpaths
sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure --prefix=%{_prefix} \
            --libdir=%{_libdir} \
            --with-qt-libraries=%{qtdir}/lib \
            --enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
            --enable-gcc-hidden-visibility \
%endif
            --disable-debug \
            --disable-warnings \
            --disable-rpath

# do not link against libgcc_s and libm
sed -i -e 's|"-lstdc++ -lm -lgcc_s -lc -lgcc_s|"-lstdc++ -lc|' libtool

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%find_lang %{name}

# Fix the symlink problem
pushd %{buildroot}%{_docdir}/HTML/en/%{name}
ln -sf ../common
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING* README TODO
%{_libdir}/kde3/tastymenu_panelapplet.la
%{_libdir}/kde3/tastymenu_panelapplet.so
%{_datadir}/apps/kicker/applets/%{name}.desktop
%{_datadir}/config.kcfg/%{name}.kcfg
%{_docdir}/HTML/en/%{name}

%changelog
* Fri Feb 15 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.7-1m)
- version 1.0.7
- add desktop.patch

* Fri Dec 14 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.6-1m)
- update to 1.0.6

* Sat Dec  1 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.5-2m)
- now it's installed in the right directory (for example in /usr/lib/kde3 instead of /usr/lib)

* Fri Nov 23 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.5-1m)
- update to 1.0.5

* Sat Nov 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.4-1m)
- update to 1.0.4

* Thu Oct 25 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.3-1m)
- update to 1.0.3

* Fri Oct 19 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.2-1m)
- import from Fedora devel

* Thu Aug 2 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.8.2-2
- Updated license to LGPL2+ as per new Fedora requirements.

* Mon May 28 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.8.2-1
- Updated TastyMenu to version 0.8.2.

* Tue May 1 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.8-6
- Added a kdebase requirement, so that %{_datadir}/apps/kicker/applets/ exists when this package is installed.

* Tue May 1 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.8-5
- Removed the line getting rid of unnecessary .la files, as they may be necessary after all.

* Mon Apr 30 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.8-4
- Added in extra line to remove unnecessary .la files.

* Mon Apr 30 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.8-3
- Adjusted the entries to configure and files to fix the last few rpmlint issues.
- Added optimization tags to configure.

* Sun Apr 29 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.8-2
- Removed chmod call from prep stage, as it has been fixed upstream.

* Sun Apr 29 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.8-1
- Updated TastyMenu to version 0.8.
- Removed redundant dependency on qt-devel.
- Removed sed call to add in libkio, as it has been fixed upstream.

* Sun Apr 29 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.7.1-4
- Made the file more readable.
- Added fix for symbolic link problem.
- Added gettext to the BuildRequires, as per Fedora policy.

* Sat Apr 28 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.7.1-3
- Added suggested sed lines to fix rpmlint complaints.
- Updated the URL tag.

* Sat Apr 28 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.7.1-2
- Shortened the Description even more.
- Also shortened the Summary.
- Updated the BuildRequires list.
- Readjusted the list of packaged files; more specifically, changed the HTML doc entries to be more generic.

* Sat Apr 28 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.7.1-1
- Shortened the Description and added the script for the HTML doc components to install.

* Fri Apr 27 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.7.1-0.nixa.2
- Updated BuildRequires based on feedback from mock & rpmlint.

* Mon Apr 23 2007 Kelly Miller <lightsolphoenix@gmail.com> 0.7.1-0.nixa.1
- Initial RPM release
